| semilimes mcu sdk 1.1.2 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FcMultipleChoice Class Reference

## Public Member Functions
| ~FcMultipleChoice ()
void | set (const char *refname, const char *title, bool reqSel)
void | addOptions (const char *name, const char *value)
void | appendOptions ()
void | addValue (char *value)
void | appendValues ()
char * | get ()

## Constructor & Destructor Documentation

## ◆ ~FcMultipleChoice()

FcMultipleChoice::~FcMultipleChoice | ( |  | ) |
| inline

Returns
  void

## Member Function Documentation

## ◆ addOptions()

void FcMultipleChoice::addOptions | ( | const char * | name,
|  | const char * | value )

Parameters

  name | - is the option identifier
  value | - text displayed to the user

Returns
  void

## ◆ addValue()

void FcMultipleChoice::addValue | ( | char * | value | ) |

Parameters

  value | - is an array containing the names of the choices that are selected on submission: {"name" : "choice1","value": "Choice 1"}

Returns
  void

## ◆ appendOptions()

void FcMultipleChoice::appendOptions | ( |  | ) |

Parameters

  Parameters |

return void

## ◆ appendValues()

void FcMultipleChoice::appendValues | ( |  | ) |

Parameters

  void | FcMultipleChoice::appendValues()

Returns
  void

## ◆ get()

char * FcMultipleChoice::get | ( |  | ) |

Returns
  char*

## ◆ set()

void FcMultipleChoice::set | ( | const char * | refname,
|  | const char * | title,
|  | bool | reqSel )

Parameters

  refname | - it is the reference name of the object
  title | - is the global label displayed at the beginning of the component
  reqSel | - indicates if the selection is required to submit the form

Returns
  void

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/fc_multiple_choice.h
- C:/Users/flavio_unige/Desktop/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/fc_multiple_choice.cpp